Subject: bug#20062: [bug-diffutils] bug#20062: bug#20062: bug#20062: bug#20062: [PATCH] diff: add support for --color

From: Norihiro Tanaka <[email-masked]>
Date: Mon, 16 Mar 2015 22:56:49 +0900

On Mon, 16 Mar 2015 01:56:36 +0100
Giuseppe Scrivano <[email-masked]> wrote:

> Norihiro Tanaka <[email-masked]> writes:
> 
> > On Mon, 16 Mar 2015 08:49:29 +0900
> > Norihiro Tanaka <[email-masked]> wrote:
> >
> >> AUTO and ALWAYS are POSIX incompatible,
> >
> > In addition, if the default is AUTO, and they are also imcompatible with
> > previous versions of DIFF by default.
> 
> I meant the default if --color is specified.  That is not incompatible
> with any previous version since --color was not present.
> 
> Apparently, ls and grep already behaves differently for --color so diff
> is not going to make any other difference here.  "ls --color" means "ls
> --color=always" while "grep --color" behaves like "grep --color=auto".
> Having to choose between these two, --color=auto makes more sense for
> diff where redirection to files is a common operation.
> 
> I am attaching the latest version of the patch, taking into account
> comments from Andreas.  I have added colors for header and line numbers,
> following the "git diff" colors scheme.
> 
> Thanks,
> Giuseppe

I understood that you said, agree.

Thanks,
Norihiro